import { Component } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-meeting-item',
  templateUrl: './meeting-item.component.html',
  styleUrls: ['./meeting-item.component.scss'],
})
export class MeetingItemComponent {
  constructor(
    private readonly router: Router,
    private readonly route: ActivatedRoute
  ) {}
  onOpenDetails(): void {
    this.router.navigate(['./details'], { relativeTo: this.route });
  }
}
